Difference between revisions of "Draft AddPoint/fr"

From FreeCAD Documentation
Jump to: navigation, search
 
(18 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav|
+
{{Docnav/fr
[[Draft_WireToBSpline/fr|Wire en BSpline]]|
+
|[[Draft_WireToBSpline/fr|Filaire vers BSpline]]
[[Draft_DelPoint/fr|Effacer un point]]|
+
|[[Draft_DelPoint/fr|Effacer un point]]
[[Draft_Module/fr|Atelier Draft]]|
+
|[[Draft_Module/fr|Atelier Draft]]
IconL=Draft_WireToBSpline.svg
+
|IconL=Draft_WireToBSpline.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
 
|IconR=Draft_DelPoint.svg
 
|IconR=Draft_DelPoint.svg
Line 10: Line 10:
  
 
{{GuiCommand/fr
 
{{GuiCommand/fr
|Name=Draft AddPoint|Name/fr=Draft Ajouter un point
+
|Name=Draft AddPoint
 +
|Name/fr=Draft Ajouter un point
 
|MenuLocation=Draft → Ajouter un point
 
|MenuLocation=Draft → Ajouter un point
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Architecture]]
+
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
|SeeAlso=[[Draft DelPoint/fr|Draft Effacer un Point]], [[Draft Edit/fr|Draft Édit]]
+
|SeeAlso=[[Draft DelPoint/fr|Draft Effacer un point]], [[Draft Edit/fr|Draft Editer]]
 
}}
 
}}
  
 
==Description==
 
==Description==
  
Cet outil vous permet d'ajouter des points supplémentaires à un [[Draft_Wire/fr|Fil (Wire)]] et à des [[Draft_BSpline/fr|BSplines]].
+
L'outil {{Button|[[Image:Draft AddPoint.svg|16px]] [[Draft AddPoint/fr|Draft Ajouter un point]]}} vous permet d'ajouter des points aux [[Image:Draft_Wire.svg|16px]] [[Draft Wire/fr|Draft Fil]] et [[Image:Draft_BSpline.svg|16px]] [[Draft BSpline/fr|Draft BSplines]].
  
La contrepartie de cet outil est l'opération [[Draft DelPoint/fr|Draft Effacer un Point]].
+
La contrepartie de cet outil est l'opération [[Image:Draft DelPoint.svg|16px]] [[Draft DelPoint/fr|Draft Effacer un Point]].
  
 
==Utilisation==
 
==Utilisation==
  
# Sélectionnez un [[Draft_Wire/fr|Fil (Wire)]] ou un [[Draft_BSpline/fr|BSplines]]. L'outil est désactivé si aucun objet n'est sélectionné.
+
# Sélectionnez un {{Button|[[Image:Draft_Wire.svg|16px]] [[Draft Wire/fr|Draft Fil]]}} ou une {{Button|[[Image:Draft_BSpline.svg|16px]] [[Draft BSpline/fr|Draft BSpline]]}}. L'outil est désactivé si aucun objet n'est sélectionné.
# Appuyez sur le bouton {{Button|[[Image:Draft AddPoint.svg|16px]] [[Draft AddPoint/fr|Draft Ajouter un Point]]}}.
+
# Appuyez sur le bouton {{Button|[[Image:Draft AddPoint.svg|16px]] [[Draft AddPoint/fr|Draft Ajouter un point]]}}.
# Cliquez sur un point de la vue 3D ou tapez les [[Draft_Coordinates/fr|coordonnées]] et appuyez sur le bouton {{Button|[[Image: Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|ajouter un point]]}}.
+
# Cliquez sur un point de la [[3D view/fr|vue 3D]] ou tapez les [[Draft_Coordinates/fr|coordonnées]] et appuyez sur le bouton  
 +
{{Button|[[Image:Draft AddPoint.svg|16px]] [[Draft AddPoint/fr|Draft Ajouter un point]]}}.
 
# Appuyez sur {{KEY|Esc}} ou sur le bouton {{Button|Close}} pour terminer l'opération. Les points déjà placés resteront.
 
# Appuyez sur {{KEY|Esc}} ou sur le bouton {{Button|Close}} pour terminer l'opération. Les points déjà placés resteront.
  
Line 61: Line 63:
 
}}
 
}}
  
{{Docnav|
+
{{Docnav/fr
[[Draft_WireToBSpline/fr|Draft Wire en BSpline]]|
+
|[[Draft_WireToBSpline/fr|Filaire vers BSpline]]
[[Draft_DelPoint/fr|Draft Effacer un Point]]|
+
|[[Draft_DelPoint/fr|Effacer un point]]
[[Draft_Module/fr|Atelier Draft]]|
+
|[[Draft_Module/fr|Atelier Draft]]
IconL=Draft_WireToBSpline.svg|IconC=Workbench_Draft.svg|IconR=Draft_DelPoint.svg}}
+
|IconL=Draft_WireToBSpline.svg
 
+
|IconC=Workbench_Draft.svg
{{Draft Tools navi/fr}}
+
|IconR=Draft_DelPoint.svg
 +
}}
  
{{Userdocnavi/fr}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 21:57, 21 February 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft WireToBSpline.svg Filaire vers BSpline
Page suivante: Effacer un point Draft DelPoint.svg Arrow-right.svg

Draft AddPoint.svg Draft Ajouter un point

Emplacement du menu
Draft → Ajouter un point
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Effacer un point, Draft Editer


Description

L'outil Draft AddPoint.svg Draft Ajouter un point vous permet d'ajouter des points aux Draft Wire.svg Draft Fil et Draft BSpline.svg Draft BSplines.

La contrepartie de cet outil est l'opération Draft DelPoint.svg Draft Effacer un Point.

Utilisation

  1. Sélectionnez un Draft Wire.svg Draft Fil ou une Draft BSpline.svg Draft BSpline. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un point.
  3. Cliquez sur un point de la vue 3D ou tapez les coordonnées et appuyez sur le bouton

Draft AddPoint.svg Draft Ajouter un point.

  1. Appuyez sur Esc ou sur le bouton Close pour terminer l'opération. Les points déjà placés resteront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Draft Edit.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil

Draft Edit.svg Draft Edit.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

Aucune interface de programmation n'est disponible pour l'outil AddPoint. Toutefois, l'ajout de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft WireToBSpline.svg Filaire vers BSpline
Page suivante: Effacer un point Draft DelPoint.svg Arrow-right.svg